%global _os_version_tag tss1

Name:       buildsys-macros-tss
Summary:    Macros for the Buildsystem
Version:    1.0
Release:    1.%{_os_version_tag}
License:    GPL
Group:      Development/Buildsystem
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch
 
%description
This particular package contains the macros needed for the buildsys for OpenCloudOS Stream.
 
%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/rpm/
VERSION=%{version}
printf %s%b "%" "rhel 8\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "opencloudos 8\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "dist .%{_os_version_tag}\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "tss1 1\n" >> %{buildroot}/etc/rpm/macros.disttag
printf %s%b "%" "__arch_install_post /usr/lib/rpm/check-buildroot\n" >> %{buildroot}/etc/rpm/macros.checkbuild
 
%clean
rm -rf %{buildroot}
 
%files
%defattr(-,root,root)
/etc/rpm/macros.disttag
/etc/rpm/macros.checkbuild
 
%changelog
* Wed Aug 10 2022 Xun Zhong <invain@opencloudos.tech> - 1.0-1.tss
- adapt for tss

* Tue May 10 2022 Zhongtian Xie <maxonxie@opencloudos.org> - 5.0-1.oc8
- Initial to oc8

